LINQ in .NET 2.0

This post was originally published on http://labs.dropit.se/blogs.

Good news for everyone currently supporting older projects (.NET 2.0): You can use LINQ and Lambda-expressions in .NET 2.0! At least if you're using Visual Studio 2008 (which there is no reason not to do, is there?). The trick is that VS really use the same compiler for 2.0 and 3.5, and since LINQ is only a language feature, it is able to translate it to the same IL-code anyway.

This blogpost on elegantcode.com explains how you do it. 

If you're still working in a .NET 1.1-project (god forbid), you're out of luck.

Tags:
Flattr
blog comments powered by Disqus